* {
    margin: 0;
    padding: 0,
}

p {
    font-family: 'Text';
    font-size: 16px;
    color: var(--crème);
}

body {
    background-color: var(--blue);
}

h1 {
    font-family: 'Title';
    font-weight: bold;
    font-size: 48px;
    color: var(--crème);
}

h2 {
    font-family: 'Text';
    font-size: 22px;
    color: var(--orange);
}

h3 {
    font-family: 'Title';
    font-size: 32px;
    color: var(--crème);
    text-align: left;
}

h4 {
    font-family: 'Title';
    font-size: 20px;
    color: var(--blue);
    text-align: left;
    margin-bottom: 3%;
}

.button {
    color: var(--blue);
    border-radius: 12px;
    background-color: var(--crème);
    border: none;
    padding: 8px 16px;
    font-weight: bold;
    font-family: 'Text';
    font-size: 14px;
    display: inline-flex;
    gap: 5px;
    align-items: center;
    margin-top: 10px;
}

.underline {
    background: transparent;
    border-radius: 12px;
    border: 1px solid var(--crème);
    color: var(--crème);
    padding: 8px 16px;
    font-weight: bold;
    font-family: 'Text';
    font-size: 14px;
    display: inline-flex;
    gap: 5px;
    align-items: center;
    margin-top: 10px;
}

.underline:hover {
    background-color: var(--orange);
    border: 1px solid var(--orange);
    color: var(--blue);
}

.fil-ariane {
    padding: 10px 60px 30px;
}

.fil-ariane a {
    color: var(--crème);
    font-size: 14px;
    font-family: 'Text';
    text-decoration: none;
}

.fil-ariane a:hover {
    color: var(--orange);
    font-size: 14px;
    font-family: 'Text';
    text-decoration: underline 2px solid var(--orange);
}

/*Header*/

header ul {
    font-family: 'Text';
    color: var(--crème);
    list-style: none;
}

header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-inline: 5%;
    margin-top: 1%;
    margin-bottom: 2%;
}

.desktop ul {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 56px;
}

nav {
    background: var(--blue);
    padding: 20px 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

nav ul {
    display: flex;
    gap: 40px;
    list-style: none;
}

nav a {
    color: var(--crème);
    text-decoration: none;
    font-size: 16px;
    position: relative;
    transition: all 0.3s;
}

nav a:hover {
    color: var(--orange);
    text-decoration: underline 2px solid var(--orange);
}

.mobile {
    display: none;
}

a:link {
    text-decoration: none;
}

/*Hero-header*/
.text-hero {
    display: flex;
    flex-direction: column;
    position: relative;
    margin-top: 4%;
    margin-right: 5%;
    gap: 20px;
}

.buttons {
    display: flex;
    flex-direction: row;
    gap: 24px;
}

.stage {
    position: absolute;
    background-color: var(--orange);
    color: var(--blue);
    text-align: center;
    font-family: 'Text';
    font-weight: bold;
    font-size: 12px;
    padding: 5px 10px;
    rotate: 6deg;
    top: 30%;
    left: 77%;
    box-shadow: 1px 2px 2px;
}

#hero {
    display: flex;
    flex-direction: row;
    margin-top: 8%;
    margin-inline: 10%;
    padding: 0;
}

#hero p {
    margin-right: 10%;
}

.localisation {
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: flex-end;
}

/* Section commune */
section {
    padding: 40px 60px;
}

.section-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 50px;
}

.section-link {
    color: var(--blue);
    text-decoration: none;
    font-size: 16px;
    position: relative;
    font-family: 'Text';
    transition: all 0.3s;
}

.section-link:hover {
    color: var(--orange);
}

/* Projects */

#projects {
    background-color: var(--crème);
}

.section-header-project {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 50px;
}

.section-header-project h3 {
    color: var(--blue);
}

.section-header-project a {
    color: var(--blue);
    font-family: 'Text';
    transition: all 0.3s;
}

.section-header-project a:hover {
    color: var(--orange);
    text-decoration: underline 2px solid var(--orange);

}

.projects-grid {
    margin-top: 3%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 40px;
}

.projects-grid h4 {
    color: var(--crème);
}

.project-card {
    background: var(--blue);
    border-radius: 20px;
    padding: 30px;
    transition: all 0.3s;
}

.project-card:hover {
    transform: translateY(-10px);
}

.project-image {
    width: 100%;
    height: 300px;
    border-radius: 12px;
    overflow: hidden;
    margin-bottom: 3%;
}

.project-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.project-card h3 {
    color: var(--crème);
    font-size: 20px;
    margin-bottom: 15px;
    font-weight: normal;
}

.project-card p {
    color: var(--crème);
    font-family: 'Text';
    font-size: 14px;
    line-height: 1.5;
    margin-bottom: 20px;
}

.project-tags {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-bottom: 20px;
}

.process {
    background: transparent;
    border: 1px solid var(--crème);
    color: var(--crème);
    padding: 5px 12px;
    font-family: 'Text';
    border-radius: 5px;
    font-size: 12px;
}

.project-link {
    background: var(--orange);
    color: var(--blue);
    padding: 8px 20px;
    border-radius: 20px;
    font-family: 'Text';
    text-decoration: none;
    font-size: 14px;
    display: inline-block;
    transition: all 0.3s;
}

.project-link:hover {
    background: var(--crème);
    color: var(--blue);
}

/*Menu projects*/

.section-header-project-white {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.section-header-project-white h3 {
    color: var(--crème);
}

.projects-grid-white {
    margin-top: 3%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    flex-wrap: wrap;
    gap: 40px;
}

.projects-grid-white h4 {
    color: var(--blue);
}

.project-card-white {
    background: var(--crème);
    border-radius: 20px;
    padding: 30px;
    transition: all 0.3s;
}

.project-card-white:hover {
    transform: translateY(-10px);
}

.project-image-white {
    width: 100%;
    height: 300px;
    border-radius: 12px;
    overflow: hidden;
    margin-bottom: 3%;
}

.project-image-white img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.project-card-white h3 {
    color: var(--blue);
    font-size: 20px;
    margin-bottom: 15px;
    font-weight: normal;
}

.project-card-white p {
    color: var(--blue);
    font-family: 'Text';
    font-size: 14px;
    line-height: 1.5;
    margin-bottom: 20px;
}

.project-tags-white {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-bottom: 20px;
}

.process-white {
    background: transparent;
    border: 1px solid var(--blue);
    color: var(--blue);
    padding: 5px 12px;
    font-family: 'Text';
    border-radius: 5px;
    font-size: 12px;
}

.project-link-white {
    background: var(--orange);
    color: var(--blue);
    padding: 8px 20px;
    border-radius: 20px;
    font-family: 'Text';
    text-decoration: none;
    font-size: 14px;
    display: inline-block;
    transition: all 0.3s;
}

.project-link-white:hover {
    background-color: var(--blue);
    color: var(--crème);
}

/* Articles */
#articles {
    background: var(--blue);
}

#articles h2 {
    color: var(--crème);
}

#articles .section-link {
    color: var(--crème);
}

.articles-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
    gap: 40px;
}

.article-card {
    background: var(--crème);
    border-radius: 20px;
    padding: 30px;
    transition: all 0.3s;
}

.article-card:hover {
    transform: translateY(-5px);
}

.menu-article {
    color: var(--crème);
    font-family: 'Text';
    transition: all 0.3s;
}

.menu-article:hover {
    color: var(--orange);
    text-decoration: underline 2px solid var(--orange);

}

.article-card h3 {
    font-size: 20px;
    margin-bottom: 15px;
    color: var(--blue);
    font-weight: normal;
}

.article-meta {
    font-size: 10px;
    color: var(--blue);
    margin-bottom: 15px;
    font-size: 12px;
    font-family: 'Text';
}

.article-card p {
    font-size: 14px;
    line-height: 1.5;
    margin-bottom: 15px;
    color: var(--blue);
}

.process-art {
    background: transparent;
    border: 1px solid var(--blue);
    color: var(--blue);
    padding: 5px 12px;
    font-family: 'Text';
    border-radius: 5px;
    font-size: 12px;
}

.article-link {
    background: var(--orange);
    color: var(--blue);
    font-family: 'Text';
    padding: 8px 20px;
    border-radius: 20px;
    text-decoration: none;
    font-size: 14px;
    transition: all 0.3s;
}

.article-link:hover {
    background: var(--blue);
    color: var(--crème);
    transform: scale(1.05);
}

.article-card h2 {
    font-size: 20px;
    font-family: 'Title';
    margin-bottom: 3%;
    color: var(--blue);
    font-weight: bold;
}

/*Page projets*/

.project-card-white h2 {
    font-size: 20px;
    font-family: 'Title';
    margin-bottom: 3%;
    color: var(--blue);
    font-weight: bold;
}

.info-section {
    background-color: var(--crème);
    padding: 40px 60px;
    display: flex;
    gap: 60px;
    align-items: center;
    border-top: 2px solid var(--blue);
    border-bottom: 2px solid var(--blue);
}

.info-text p {
    font-size: 14px;
    line-height: 1.5;
    color: var(--blue);
    font-style: italic;
}

.methods-skills {
    display: flex;
    gap: 50px;
    align-items: flex-start;
}

.method-box,
.skills-box,
.tools-box {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.method-box h3,
.skills-box h3,
.tools-box h3 {
    font-family: 'Title';
    color: var(--blue);
    font-size: 16px;
    margin: 0;
    white-space: nowrap;
}

.tags-container {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.process-blue {
    background: transparent;
    border: 1px solid var(--blue);
    color: var(--blue);
    padding: 5px 12px;
    font-family: 'Text';
    border-radius: 5px;
    font-size: 12px;
    width: fit-content;
}

.tool-icons {
    display: flex;
    gap: 15px;
}

.showcase {
    background-color: var(--blue);
    display: flex;
    gap: 40px;
    justify-content: center;
    align-items: center;
}

.showcase-item {
    border-radius: 20px;
    max-width: 450px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.showcase-item img {
    max-width: 100%;
    height: auto;
}

.equipe {
    margin-inline: 22%;
    margin-bottom: 5%;
    padding: 0;
}

.equipe ul {
    color: var(--orange);
}

.equipe li {
    margin-bottom: 28px;
}

.member-name {
    color: var(--crème);
    text-decoration: underline 2px solid var(--orange);
    font-weight: bold;
    transition: color 0.3s ease;
}

.member-name:hover {
    color: var(--orange);
    text-decoration: underline 2px solid var(--orange);
}


/*Page article*/

#intro-article {
    background-color: var(--crème);
    display: flex;
    flex: row;
    justify-content: flex-start;
    align-items: stretch;
    gap: 3%;
    margin-top: 3%;
}

#intro-article p {
    color: var(--blue);
    font-family: 'Text';
    margin-top: 2%;
    margin-bottom: 2%;
    font-style: italic;
}

.explication {
    margin-inline: 22%;
    padding: 0;
    margin-bottom: 5%;
}

.explication h3 {
    margin-top: 3%;
    margin-bottom: 1%;
    font-family: 'text';
    font-size: 16px;
    text-align: left;
    font-style: bold;

}

.explication p {
    font-family: 'Text';
    font-size: 14px;
    line-height: 2;
}

.explication li {
    color: var(--crème);
}

.meta {
    font-family: 'Text';
    color: var(--crème);
    font-size: 14px;
}

.result {
    font-family: 'Text';
    color: var(--crème);
    text-align: center;
    padding-top: 3%;
}

.explication-img {
    width: 850px;
    height: 100%;
    border-radius: 12px;
    overflow: hidden;
    margin-top: 3%;
    align-items: center;
}

.explication-img img {
    width: 100%;
    margin-top: 3%;
}

.image-access {
    width: 100%;
    height: 300px;
    border-radius: 12px;
    overflow: hidden;
    margin-top: 3%;
}

.image-access img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

ol {
    font-family: 'Text';
    font-style: bold;
}

.explication a {
    text-decoration: underline 2px solid var(--orange);
    color: var(--crème);

}

/*Mentions légales*/
#mentions {
    margin-inline: 20%;
    margin-bottom: 5%;
}

#mentions h3 {
    font-size: 20px;
    margin-top: 2%;
    margin-bottom: 2%;
    text-align: left;
}

#mentions a {
    color: var(--crème);
    text-decoration: underline 2px solid var(--orange);

}

/*A Propos*/

#hero-title {
    text-align: center;
    padding: 0;
}

.presentation {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 150px;
    margin-inline: 10%;
}

.hero-buttons {
    display: flex;
    gap: 15px;
    justify-content: center;
    margin-bottom: 40px;
    margin-top: 10px;
}

.separator {
    width: 100%;
    height: 6px;
    background-color: var(--crème);
    border-radius: 160px;
    margin-bottom: 5%;
}

.hero-image-container {
    position: relative;
    display: flex;
}

.tag-optimiste {
    top: 150px;
    right: -20px;
    font-family: 'Text';
    font-weight: bold;
    position: absolute;
    background: var(--orange);
    color: var(--blue);
    padding: 8px 16px;
    font-size: 13px;
    white-space: nowrap;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.tag-leadership {
    top: 240px;
    right: -50px;
    font-family: 'Text';
    font-weight: bold;
    position: absolute;
    background: var(--orange);
    color: var(--blue);
    padding: 8px 16px;
    font-size: 13px;
    white-space: nowrap;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.tag-creative {
    top: 200px;
    left: -20px;
    font-family: 'Text';
    font-weight: bold;
    position: absolute;
    background: var(--orange);
    color: var(--blue);
    padding: 8px 16px;
    font-size: 13px;
    white-space: nowrap;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.tag-organized {
    top: 300px;
    left: -50px;
    font-family: 'Text';
    font-weight: bold;
    position: absolute;
    background: var(--orange);
    color: var(--blue);
    padding: 8px 16px;
    font-size: 13px;
    white-space: nowrap;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.tag-stage {
    top: -20px;
    right: -20px;
    rotate: 5deg;
    font-family: 'Text';
    font-weight: bold;
    position: absolute;
    background: var(--orange);
    color: var(--blue);
    padding: 6px 14px;
    font-size: 13px;
    white-space: nowrap;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.text-stage {
    position: relative;
}

.hero-text p {
    line-height: 1.8;
    margin-bottom: 20px;
}

.localisation-propos {
    display: flex;
    flex-direction: row;
    gap: 8px;
    align-items: baseline;
}

.apropos-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
}

.apropos-card {
    background-color: var(--crème);
    border-radius: 20px;
    padding: 40px 60px;
}

.apropos-card h3 {
    color: var(--blue);
}

.apropos-card h4 {
    padding-top: 25px;
}

.software-grid {
    display: grid;
    justify-items: center;
    align-items: center;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px 5px;
    margin-top: 5%;
}

.skills-section li {
    color: var(--blue);
    line-height: 1.5;
    font-family: 'Text';
}

.skills-columns {
    display: flex;
    flex-direction: row;
    gap: 42px;
}

.skill-highlight {
    font-weight: bold;
}

/* Footer */

footer {
    background: var(--crème);
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    padding-top: 2%;
    padding-bottom: 2%;
    align-items: center;
}

.title-footer {
    font-family: 'Text';
    font-size: 16px;
    color: var(--blue);
    font-weight: bold;
}

footer p {
    color: var(--blue);
    margin-bottom: 10px;
    font-size: 16px;
    Font-family: 'Text';
}

footer li {
    margin-bottom: 10px;
}

.footer-nav a {
    color: var(--blue);
    padding-left: 10px;
    padding-top: 10px;
    Font-family: 'Text';
    transition: all 0.3s;
}

.footer-nav ul {
    list-style: none;
    padding: 0;
}

.footer-mentions a {
    color: var(--blue);
    Font-family: 'Text';
    transition: all 0.3s;
}

.footer-nav a:hover {
    color: var(--orange);
    text-decoration: underline 1px solid var(--orange);

}

.footer-mentions a:hover {
    color: var(--orange);
    text-decoration: underline 1px solid var(--orange);

}

.contact-cta {
    margin: 20px 0;
}

.contact-btn {
    background: var(--blue);
    color: var(--crème);
    padding: 12px 30px;
    Font-family: 'Text';
    border-radius: 25px;
    text-decoration: none;
    font-size: 14px;
    display: inline-block;
    transition: all 0.3s;
}

.contact-btn:hover {
    background: var(--orange);
    transform: translateY(-2px);
}

.footer-nav {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.footer-nav li {
    text-decoration: none;
}


.footer-mentions {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.footer-cta {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.button:hover {
    background-color: var(--orange);
    color: var(--blue);
}

:root {
    --blue: #0A2B4C;
    --crème: #E5E2D9;
    --orange: #D27D43;
}

@font-face {
    font-family: 'Title';
    src: url('./playfair-display.woff2') format('woff2');
}


@font-face {
    font-family: 'Text';
    src: url('./inter.woff2') format('woff2');
}

@media (max-width: 980px) {

    /*header*/

     .mobile {
        padding-right:5%;
    }
    .mobile {
        display: initial;
    }

    .desktop {
        display: none;
    }


    summary {
        cursor: pointer;
    }

    details>summary::marker,
    summary::-webkit-details-marker {
        display: none;
    }

    details>summary {
        list-style: none;
    }

    summary::after {
        content: " ";
        cursor: pointer;
        background: url("./menu-burger.svg");
        display: block;
        height: 50px;
        width: 50px;
        position: absolute;
        right: 2px;
        top: -20px;
    }

    details[open] summary::after {
        background: url("./close.svg");
        height: 28px;
        width: 30px;
        right: 80px;
        top: 30px;
    }

    details {
        position: relative;
        max-width: 300px;
        transition: all 0.4s ease;
    }

    details[open] {
        padding: 30px 0px 30px 10px;
    }

    header ul {
        display: flex;
        flex-direction: column;
        gap: 15px;
        margin-bottom: 7%;
    }

    /*Hero-header*/
    #hero {
        display: flex;
        flex-direction: column;
        gap: 30px;
    }

    .text-hero {
        margin :0;
    }

    .stage {
        padding: 5px 10px;
        rotate: 5deg;
        top: 48%;
        left: 54%;
    }

    #hero p {
        margin-top: 2%;
        margin-right: 5%;
    }

    /*Cards/sections*/

    section {
        padding: 7%;
    }

    .article-card {
        width: 300px;
        margin: 0;
    }

    .project-image {
        width: 350px;
    }

    .project-image-white {
        width: 300px;
    }

    .explication {
        margin-inline: 7%;
    }

    /*Page projet*/

    .info-section {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 20px;
    }

    .methods-skills {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    .showcase {
        display: flex;
        flex-direction: column;
        gap: 20px;
        align-items: center;

    }

    .project-image-white {
        width: 350px;
    }

    .showcase-item {
        width: 90%;
    }

    /*articles*/

    #intro-article {
        padding-top: 2%;
        padding-bottom: 2%;
    }

    #intro-article p {
        margin-inline: 7%;
    }

    .explication-img {
        display: flex;
        flex-direction: column;
        max-width: 100%;
        max-height: 100%;
        object-fit: contain;
    }

    .explication ol {
        margin-left: -7%;
    }

    .image-access img {
        max-width: 100%;
        max-height: 100%;
        object-fit: contain;
    }

    /*Mentions légales*/
    .mentions h2 {
        margin-top: 2%;
        margin-bottom: 5%;
    }

    #mentions {
        margin-inline: 7%;
    }

    /*A propos*/
    .hero {
        flex-direction: column-reverse;
        padding: 40px 20px;
    }

    .hero h1 {
        font-size: 32px;
    }

    .presentation {
        display: flex;
        flex-direction: column;
        gap: 30px;
        margin-bottom: 2%;
    }

    .hero-image-container img {
        width: 400px;
    }

    .hero-image-container {
        width: 250px;
        justify-content: center;
    }

    .tag-optimiste {
        top: 150px;
        right: -80px;
    }

    .tag-leadership {
        top: 240px;
        right: -100px;
    }

    .tag-creative {
        top: 200px;
        left: -80px;
    }

    .tag-organized {
        top: 300px;
        left: -100px;
    }

    .tag-stage {
        top: -20px;
        right: -40px;
        rotate: 5deg;
    }

    .apropos-grid,
    .skills-columns {
        grid-template-columns: 1fr;
        display: flex;
        flex-direction: column;
    }

    .skills-columns {
        gap: 0;
    }

    .software-grid {
        grid-template-columns: repeat(2, 4fr);
    }


    /*Footer*/

    footer {
        padding-top: 5%;
        padding-bottom: 5%;
        display: flex;
        flex-direction: column;
        gap: 30px;
        justify-content: center;
        padding-inline: 10%;
    }

    .footer-mentions {
        display: flex;
        align-items: center
    }

}

@media (max-width: 600px) {

    .stage {
        top:250px;
        left:130px;
    }

    .project-image {
        width: 265px;
    }

    .project-image-white {
        width: 265px;
    }

     .article-card {
        width: 265px;
    }

    .tag-optimiste {
        top: 290px;
        right: -40px;
    }

    .tag-leadership {
        top: 380px;
        right: -30px;
    }

    .tag-creative {
        top: 300px;
        left: -20px;
    }

    .tag-organized {
        top: 390px;
        left: -40px;
    }

    .tag-stage {
        top:-15px;
    }

}